[lfs-book] [LFS Trac] #3104: no perl-5.16.0-libc-1.patch and perl-5.16.0 can't be built in toolchain

LFS Trac trac at linuxfromscratch.org
Wed May 30 23:48:14 PDT 2012


#3104: no perl-5.16.0-libc-1.patch and perl-5.16.0 can't be built in toolchain
--------------------+-------------------------------------------------------
 Reporter:  xinglp  |       Owner:  lfs-book@…                   
     Type:  task    |      Status:  new                          
 Priority:  normal  |   Milestone:  7.2                          
Component:  Book    |     Version:  SVN                          
 Severity:  normal  |    Keywords:                               
--------------------+-------------------------------------------------------
 I've tried to use perl-5.14.2-libc-1.patch
 and the log below:

 {{{

 Checking your choice of C compiler and flags for coherency...
 I've tried to compile and run the following simple program:

 #include <stdio.h>
 int main() { printf("Ok\n"); return(0); }

 I used the command:

         cc -o try -O2 -fno-strict-aliasing -pipe -fstack-protector
 -I/usr/local/include -fstack-protector -L/usr/local/lib try.c -lnsl -lgdbm
 -ldl -lm -lcrypt -lutil -lc -lgdbm_compat
          ./try

 and I got the following output:

 /xxxxxx/xxxxxxx/xxxxxxx/tools/bin/../lib/gcc/x86_64-unknown-linux-
 gnu/4.7.0/../../../../x86_64-unknown-linux-gnu/bin/ld: cannot find -lgdbm
 collect2: error: ld returned 1 exit status
 I can't compile the test program.
 You have a BIG problem.  Shall I abort Configure [y]
 Ok.  Stopping Configure.

 }}}

-- 
Ticket URL: <http://wiki.linuxfromscratch.org/lfs/ticket/3104>
LFS Trac <http://wiki.linuxfromscratch.org/lfs/>
Linux From Scratch: Your Distro, Your Rules.



More information about the lfs-book mailing list